com.taosdata.jdbc.ws.tmq.entity

## Class PollReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.tmq.entity.PollReq

    public class PollReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`PollReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getBlockingTime()`
`void` `setBlockingTime(long blockingTime)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PollReq

    public PollReq()

### Method Detail

#### getBlockingTime

    public long getBlockingTime()

#### setBlockingTime

    public void setBlockingTime(long blockingTime)